package com.zjrs.ggfw.rlzysc.bpo.impl;

import org.apache.commons.lang.StringUtils;
import org.mohrss.leaf.core.framework.domain.bpo.impl.BPOImpl;
import org.mohrss.leaf.core.framework.persistens.PageResult;
import org.mohrss.leaf.core.framework.util.CurrentUser;
import org.mohrss.leaf.core.framework.util.SecurityUtils;
import org.mohrss.leaf.core.framework.web.controller.AjaxResponse;
import com.zjrs.ggfw.portal.bpo.UserBPO;
import com.zjrs.ggfw.portal.dto.XxglDTO;
import com.zjrs.ggfw.rlzysc.blo.DwzpBLO;
import com.zjrs.ggfw.rlzysc.bpo.DwzpBPO;
import com.zjrs.ggfw.rlzysc.dto.*;
import com.zjrs.ggfw.rlzysc.dto.common.PageDTO;
import com.zjrs.ggfw.rlzysc.dto.dwzp.*;
import com.zjrs.ggfw.rlzysc.dto.grzxjlxx.*;
import com.zjrs.ggfw.rlzysc.po.*;
import org.springframework.beans.BeanUtils;
import org.springframework.stereotype.Service;

import jakarta.annotation.Resource;
import java.time.LocalDateTime;
import java.time.format.DateTimeFormatter;
import java.util.List;
import java.util.Map;

@Service
public class DwzpBPOImpl extends BPOImpl implements DwzpBPO {
	
	@Resource
    private DwzpBLO dwzpBLO;
	
	@Resource
    private UserBPO userBPO;
	
	@Override
	public AjaxResponse getZwxxList(DwzpZwListQueryDTO dto) {
		AjaxResponse ajaxResponse = new AjaxResponse();
		String qylsh = dto.getRsRlzyQyxxLsh();
		if (StringUtils.isBlank(qylsh)){
			//获取当前用户
			CurrentUser cUser = SecurityUtils.getCurrentUser();
			String userid = cUser.getUsername() == null ? "" : cUser.getUsername().trim();
			String qyssr = dto.getQyssr();
			if (StringUtils.isBlank(qyssr)){
				qyssr = userid;
			}
			//获取企业信息流水号
			RsRlzyQyxxPO rsRlzyQyxxPO = dwzpBLO.getRsRlzyQyxxByUserid(qyssr);
			if(rsRlzyQyxxPO == null) {
				ajaxResponse.setAppcode("1");
				ajaxResponse.setErrorMsg("请完善您的企业信息！");
				return ajaxResponse;
			}
			dto.setRsRlzyQyxxLsh(rsRlzyQyxxPO.getRsrlzyqyxxlsh());
		}
    	PageResult pageResult = dwzpBLO.getZwxxList(dto);
    	ajaxResponse.setData("data", pageResult);
        ajaxResponse.setData("pagesize", dto.getPagesize());
        ajaxResponse.setData("pagenum", dto.getPagenum());
		return ajaxResponse;
	}
	
	@Override
	public AjaxResponse getRsRlzyZwxx(DwzpZwxxQueryDTO dto) {
		AjaxResponse ajaxResponse = new AjaxResponse();
		
		RsRlzyZwxxPO rsRlzyZwxxPO = dwzpBLO.getRsRlzyZwxx(dto);
		ajaxResponse.setData("data", rsRlzyZwxxPO);
		
		return ajaxResponse;
	}
	
	@Override
	public AjaxResponse saveRsRlzyZwxx(DwzpZwxxDTO dto) {
		AjaxResponse ajaxResponse = new AjaxResponse();

		String shjg = "0";
		String fbzt = "0";
		String zwzt = "1";
		String sftjnwsh = "0";

		if (StringUtils.isNotBlank(dto.getQyssr())){
			shjg = "1";
			fbzt = "1";
			sftjnwsh = "1";
		}
		
		RsRlzyZwxxPO rsRlzyZwxxPO = new RsRlzyZwxxPO();
		BeanUtils.copyProperties(dto, rsRlzyZwxxPO);
		DateTimeFormatter formatters = DateTimeFormatter.ofPattern("yyyy-MM-dd HH:mm:ss");
    	//获取当前时间
    	String dqsj = LocalDateTime.now().format(formatters);
		CurrentUser cUser = SecurityUtils.getCurrentUser();
		if(StringUtils.isBlank(rsRlzyZwxxPO.getRsrlzyzwxxlsh())) {
			rsRlzyZwxxPO.setTscjr(cUser.getUserid());
			rsRlzyZwxxPO.setTscjsj(dqsj);
		}
		if (StringUtils.isNotBlank(dto.getQyssr())) {
			rsRlzyZwxxPO.setShsj(dqsj);
			rsRlzyZwxxPO.setZwxxshr(cUser.getUserid());
			rsRlzyZwxxPO.setFbsj(dqsj);
		}
		rsRlzyZwxxPO.setTsxgr(cUser.getUserid());
		rsRlzyZwxxPO.setTsxgsj(dqsj);
		rsRlzyZwxxPO.setShjg(shjg);//未审核
		rsRlzyZwxxPO.setFbzt(fbzt);
		rsRlzyZwxxPO.setZwzt(zwzt);//正常
		rsRlzyZwxxPO.setSftjnwsh(sftjnwsh);//未提交
		rsRlzyZwxxPO = dwzpBLO.saveRsRlzyZwxx(rsRlzyZwxxPO);
		
		ajaxResponse.setData("data", rsRlzyZwxxPO);
		return ajaxResponse;
	}
	
	@Override
	public AjaxResponse deleteRsRlzyZwxx(DwzpZwxxQueryDTO dto) {
		AjaxResponse ajaxResponse = new AjaxResponse();
		
		RsRlzyZwxxPO rsRlzyZwxxPO = new RsRlzyZwxxPO();
		DateTimeFormatter formatters = DateTimeFormatter.ofPattern("yyyy-MM-dd HH:mm:ss");
    	//获取当前时间
    	String dqsj = LocalDateTime.now().format(formatters);
		CurrentUser cUser = SecurityUtils.getCurrentUser();
		rsRlzyZwxxPO.setTsxgr(cUser.getUsername());
		rsRlzyZwxxPO.setTsxgsj(dqsj);
		rsRlzyZwxxPO.setTsyxbz("0");//无效
		
		String lshStr = dto.getRsRlzyZwxxLsh();
    	String[] zwlsh = lshStr.split(",");
    	for(int i=0;i<zwlsh.length;i++) {
    		rsRlzyZwxxPO.setRsrlzyzwxxlsh(zwlsh[i]);
    		dwzpBLO.updateRsRlzyZwxxById(rsRlzyZwxxPO);
    	}
		
		return ajaxResponse;
	}
	
	@Override
	public AjaxResponse updateRsRlzyZwxxFbzt(DwzpZwxxQueryDTO dto,String fbzt) {
		AjaxResponse ajaxResponse = new AjaxResponse();
		DateTimeFormatter formatters = DateTimeFormatter.ofPattern("yyyy-MM-dd HH:mm:ss");
    	//获取当前时间
    	String dqsj = LocalDateTime.now().format(formatters);
		CurrentUser cUser = SecurityUtils.getCurrentUser();

		String qyssr = dto.getQyssr();
		if (StringUtils.isBlank(qyssr)){
			qyssr = cUser.getUsername();
		}

		//获取企业信息流水号
    	RsRlzyQyxxPO rsRlzyQyxxPO = dwzpBLO.getRsRlzyQyxxByUserid(qyssr);
    	if(rsRlzyQyxxPO == null) {
    		ajaxResponse.setAppcode("1");
            ajaxResponse.setErrorMsg("请完善您的企业信息！");
            return ajaxResponse;
    	}else {
    		if(!"1".equals(rsRlzyQyxxPO.getQyxxshzt()) && "1".equals(fbzt)) {
    			ajaxResponse.setAppcode("1");
                ajaxResponse.setErrorMsg("您的企业信息暂未通过审核！");
                return ajaxResponse;
    		}
    	}

		RsRlzyZwxxPO rsRlzyZwxxPO = new RsRlzyZwxxPO();
//    	if (StringUtils.isNotBlank(qyssr)) {
//    		rsRlzyZwxxPO.setShsj(dqsj);
//    		rsRlzyZwxxPO.setZwxxshr(cUser.getUsername());
//		}
		rsRlzyZwxxPO.setTsxgr(cUser.getUsername());
		rsRlzyZwxxPO.setTsxgsj(dqsj);
		rsRlzyZwxxPO.setFbzt(fbzt);
		if (fbzt.equals("1")){ //发布的时间
			rsRlzyZwxxPO.setFbsj(dqsj);
		}
		String lshStr = dto.getRsRlzyZwxxLsh();
    	String[] zwlsh = lshStr.split(",");
    	for(int i=0;i<zwlsh.length;i++) {
    		rsRlzyZwxxPO.setRsrlzyzwxxlsh(zwlsh[i]);
    		dwzpBLO.updateRsRlzyZwxxById(rsRlzyZwxxPO);
    	}
		
		return ajaxResponse;
	}
	
	@Override
	public AjaxResponse submitRsRlzyZwxx(DwzpZwxxQueryDTO dto) {
		AjaxResponse ajaxResponse = new AjaxResponse();
		
		RsRlzyZwxxPO rsRlzyZwxxPO = new RsRlzyZwxxPO();
		DateTimeFormatter formatters = DateTimeFormatter.ofPattern("yyyy-MM-dd HH:mm:ss");
    	//获取当前时间
    	String dqsj = LocalDateTime.now().format(formatters);
		CurrentUser cUser = SecurityUtils.getCurrentUser();
		rsRlzyZwxxPO.setTsxgr(cUser.getUsername());
		rsRlzyZwxxPO.setTsxgsj(dqsj);
		rsRlzyZwxxPO.setFbsj(dqsj);
		rsRlzyZwxxPO.setSftjnwsh("1");//提交
		rsRlzyZwxxPO.setShjg("0");//还原审核结果
		
		String lshStr = dto.getRsRlzyZwxxLsh();
    	String[] zwlsh = lshStr.split(",");
    	for(int i=0;i<zwlsh.length;i++) {
    		rsRlzyZwxxPO.setRsrlzyzwxxlsh(zwlsh[i]);
    		dwzpBLO.updateRsRlzyZwxxById(rsRlzyZwxxPO);
    	}
		
		return ajaxResponse;
	}
	
	@Override
	public AjaxResponse getJlxxList(DwzpJlListQueryDTO dto) {
		AjaxResponse ajaxResponse = new AjaxResponse();
		
		//获取当前用户
    	CurrentUser cUser = SecurityUtils.getCurrentUser();
    	//获取企业信息流水号
    	RsRlzyQyxxPO rsRlzyQyxxPO = dwzpBLO.getRsRlzyQyxxByUserid(cUser.getUsername());
    	if(rsRlzyQyxxPO == null) {
    		ajaxResponse.setAppcode("1");
            ajaxResponse.setErrorMsg("请完善您的企业信息！");
            return ajaxResponse;
    	}
    	dto.setRsRlzyQyxxLsh(rsRlzyQyxxPO.getRsrlzyqyxxlsh());
		PageResult pageResult = dwzpBLO.getJlxxList(dto);
		ajaxResponse.setData("data", pageResult);
        ajaxResponse.setData("pagesize", dto.getPagesize());
        ajaxResponse.setData("pagenum", dto.getPagenum());
		
		return ajaxResponse;
	}
	
	@Override
	public AjaxResponse deleteRsRlzyJlgl(DwzpJlglUpdateDTO dto) {
		AjaxResponse ajaxResponse = new AjaxResponse();
		
		RsRlzyJlglPO rsRlzyJlglPO = new RsRlzyJlglPO();
		DateTimeFormatter formatters = DateTimeFormatter.ofPattern("yyyy-MM-dd HH:mm:ss");
    	//获取当前时间
    	String dqsj = LocalDateTime.now().format(formatters);
		CurrentUser cUser = SecurityUtils.getCurrentUser();
		rsRlzyJlglPO.setTsXgr(cUser.getUsername());
		rsRlzyJlglPO.setTsXgsj(dqsj);
		rsRlzyJlglPO.setTsYxbz("0");
		
		String lshStr = dto.getRsRlzyJlglLsh();
    	String[] jllsh = lshStr.split(",");
    	for(int i=0;i<jllsh.length;i++) {
    		rsRlzyJlglPO.setRsRlzyJlglLsh(jllsh[i]);
    		dwzpBLO.updateRsRlzyJlglById(rsRlzyJlglPO);
    	}
		
		return ajaxResponse;
	}
	
	@Override
	public AjaxResponse updateRsRlzyJlglZt(DwzpJlglUpdateDTO dto,String zt) {
		AjaxResponse ajaxResponse = new AjaxResponse();
		
		RsRlzyJlglPO rsRlzyJlglPO = new RsRlzyJlglPO();
		DateTimeFormatter formatters = DateTimeFormatter.ofPattern("yyyy-MM-dd HH:mm:ss");
    	//获取当前时间
    	String dqsj = LocalDateTime.now().format(formatters);
		CurrentUser cUser = SecurityUtils.getCurrentUser();
		rsRlzyJlglPO.setTsXgr(cUser.getUsername());
		rsRlzyJlglPO.setTsXgsj(dqsj);
		rsRlzyJlglPO.setZt(zt);
		
		String lshStr = dto.getRsRlzyJlglLsh();
    	String[] jllsh = lshStr.split(",");
    	for(int i=0;i<jllsh.length;i++) {
    		rsRlzyJlglPO.setRsRlzyJlglLsh(jllsh[i]);
    		dwzpBLO.updateRsRlzyJlglById(rsRlzyJlglPO);

			//从简历管理表获取岗位信息表的id
			List<RsRlzyJlglPO> rsRlzyJlglPOlist =  dwzpBLO.selectGwlsh(jllsh[i]);
			if (rsRlzyJlglPOlist!=null && rsRlzyJlglPOlist.size()>0){
				for (int j = 0; j < rsRlzyJlglPOlist.size(); j++) {
					RsRlzyJlglPO gwlshpo = rsRlzyJlglPOlist.get(j);
					String gwlsh = gwlshpo.getRsrlzygwxxlsh();
					if (StringUtils.isNotBlank(gwlsh)){
						dwzpBLO.updateGwxxTdjgbyId(gwlsh,zt);
					}
				}
			}
    	}


		return ajaxResponse;
	}
	
	@Override
	public AjaxResponse saveMsyqrz(DwzpMsyqrzDTO dto) {
		AjaxResponse ajaxResponse = new AjaxResponse();
		
		//保存邀请日志
		RsRlzyMsyqrzPO rsRlzyMsyqrzPO = new RsRlzyMsyqrzPO();
		BeanUtils.copyProperties(dto, rsRlzyMsyqrzPO);
		DateTimeFormatter formatters = DateTimeFormatter.ofPattern("yyyy-MM-dd HH:mm:ss");
    	//获取当前时间
    	String dqsj = LocalDateTime.now().format(formatters);
		CurrentUser cUser = SecurityUtils.getCurrentUser();
		rsRlzyMsyqrzPO.setTsCjr(cUser.getUsername());
		rsRlzyMsyqrzPO.setTsCjsj(dqsj);
		dwzpBLO.saveRsRlzyMsyqrz(rsRlzyMsyqrzPO);
		
		//发送站内消息
		XxglDTO xxglDto = new XxglDTO();
		//获取企业信息
    	RsRlzyQyxxPO rsRlzyQyxxPO = dwzpBLO.getRsRlzyQyxxByUserid(cUser.getUsername());
    	//获取简历信息
    	JlxxPO jlxxPO = dwzpBLO.getRsRlzyJlxxById(dto.getRsRlzyJlxxLsh());
		xxglDto.setXxbt(rsRlzyQyxxPO.getGsmc()+"面试邀请");//标题
		
    	String xxnr = "【湛江就业在线】"+jlxxPO.getXm()+"先生/女士：您好！以下是面试预通知：恭喜通过"
    			+rsRlzyQyxxPO.getGsmc()+"的简历筛选，邀请您参与面试，请在您的个人中心-面试管理菜单接受邀请，面试具体时间地点另行通知，更多详情请与" 
    			+rsRlzyQyxxPO.getGsmc()+"工作人员联系（联系电话"+rsRlzyQyxxPO.getSjhm()+"）。";
		xxglDto.setXxnr(xxnr);//消息内容
		xxglDto.setSjrids(jlxxPO.getRsyhlsh());//收件人
		xxglDto.setFlag("2");//外网用户
		userBPO.saveNews(xxglDto);
		
		return ajaxResponse;
	}
	
	@Override
	public AjaxResponse deleteRsRlzyScgz(DwzpScgzUpdateDTO dto) {
		AjaxResponse ajaxResponse = new AjaxResponse();
		
		RsRlzyScgzPO rsRlzyScgzPO = new RsRlzyScgzPO();
		DateTimeFormatter formatters = DateTimeFormatter.ofPattern("yyyy-MM-dd HH:mm:ss");
    	//获取当前时间
    	String dqsj = LocalDateTime.now().format(formatters);
		CurrentUser cUser = SecurityUtils.getCurrentUser();
		rsRlzyScgzPO.setTsXgr(cUser.getUsername());
		rsRlzyScgzPO.setTsXgsj(dqsj);
		rsRlzyScgzPO.setTsYxbz("0");
		
		String lshStr = dto.getRsRlzyScgzLsh();
    	String[] jllsh = lshStr.split(",");
    	for(int i=0;i<jllsh.length;i++) {
    		rsRlzyScgzPO.setRsRlzyScgzLsh(jllsh[i]);
    		dwzpBLO.updateRsRlzyScgzById(rsRlzyScgzPO);
    	}
		
		return ajaxResponse;
	}
	
	@Override
	public AjaxResponse updateRsRlzyScgzZt(DwzpScgzUpdateDTO dto,String sczt) {
		AjaxResponse ajaxResponse = new AjaxResponse();
		
		RsRlzyScgzPO rsRlzyScgzPO = new RsRlzyScgzPO();
		DateTimeFormatter formatters = DateTimeFormatter.ofPattern("yyyy-MM-dd HH:mm:ss");
    	//获取当前时间
    	String dqsj = LocalDateTime.now().format(formatters);
		CurrentUser cUser = SecurityUtils.getCurrentUser();
		rsRlzyScgzPO.setTsXgr(cUser.getUsername());
		rsRlzyScgzPO.setTsXgsj(dqsj);
		rsRlzyScgzPO.setSczt(sczt);
		
		String lshStr = dto.getRsRlzyScgzLsh();
    	String[] jllsh = lshStr.split(",");
    	for(int i=0;i<jllsh.length;i++) {
    		rsRlzyScgzPO.setRsRlzyScgzLsh(jllsh[i]);
    		dwzpBLO.updateRsRlzyScgzById(rsRlzyScgzPO);
    	}
		
		return ajaxResponse;
	}
	
	@Override
	public AjaxResponse saveRsRlzyScgz(DwzpScgzDTO dto) {
		AjaxResponse ajaxResponse = new AjaxResponse();
		
		RsRlzyScgzPO rsRlzyScgzPO = new RsRlzyScgzPO();
		BeanUtils.copyProperties(dto, rsRlzyScgzPO);
		DateTimeFormatter formatters = DateTimeFormatter.ofPattern("yyyy-MM-dd HH:mm:ss");
    	//获取当前时间
    	String dqsj = LocalDateTime.now().format(formatters);
		CurrentUser cUser = SecurityUtils.getCurrentUser();
		rsRlzyScgzPO.setTsCjr(cUser.getUsername());
		rsRlzyScgzPO.setTsCjsj(dqsj);
		rsRlzyScgzPO.setTsXgr(cUser.getUsername());
		rsRlzyScgzPO.setTsXgsj(dqsj);
		rsRlzyScgzPO.setSczt("1");
		rsRlzyScgzPO.setTsYxbz("1");
		rsRlzyScgzPO.setRsRlzyJlxxLsh(dto.getRsRlzyJlxxLsh());
		dwzpBLO.addRsRlzyScgz(rsRlzyScgzPO);
		
		return ajaxResponse;
	}
	
	@Override
	public AjaxResponse getScJlxxList(DwzpJlListQueryDTO dto) {
		AjaxResponse ajaxResponse = new AjaxResponse();
		
		//校验入参
		if(StringUtils.isBlank(dto.getSczt())) {
			ajaxResponse.setAppcode("1");
			ajaxResponse.setMsg("收藏状态不可为空！");
			return ajaxResponse;
		}
		
		//获取当前用户
    	CurrentUser cUser = SecurityUtils.getCurrentUser();
    	//获取企业信息流水号
    	RsRlzyQyxxPO rsRlzyQyxxPO = dwzpBLO.getRsRlzyQyxxByUserid(cUser.getUsername());
    	if(rsRlzyQyxxPO == null) {
    		ajaxResponse.setAppcode("1");
            ajaxResponse.setErrorMsg("请完善您的企业信息！");
            return ajaxResponse;
    	}
    	dto.setRsRlzyQyxxLsh(rsRlzyQyxxPO.getRsrlzyqyxxlsh());
		PageResult pageResult = dwzpBLO.getScJlxxList(dto);
		ajaxResponse.setData("data", pageResult);
        ajaxResponse.setData("pagesize", dto.getPagesize());
        ajaxResponse.setData("pagenum", dto.getPagenum());
        
		return ajaxResponse;
	}
	
	@Override
	public AjaxResponse getGzJlxxList(DwzpJlListQueryDTO dto) {
		AjaxResponse ajaxResponse = new AjaxResponse();
		
		//获取当前用户
    	CurrentUser cUser = SecurityUtils.getCurrentUser();
    	//获取企业信息流水号
    	RsRlzyQyxxPO rsRlzyQyxxPO = dwzpBLO.getRsRlzyQyxxByUserid(cUser.getUsername());
    	if(rsRlzyQyxxPO == null) {
    		ajaxResponse.setAppcode("1");
            ajaxResponse.setErrorMsg("请完善您的企业信息！");
            return ajaxResponse;
    	}
    	dto.setRsRlzyQyxxLsh(rsRlzyQyxxPO.getRsrlzyqyxxlsh());
		PageResult pageResult = dwzpBLO.getGzJlxxList(dto);
		ajaxResponse.setData("data", pageResult);
        ajaxResponse.setData("pagesize", dto.getPagesize());
        ajaxResponse.setData("pagenum", dto.getPagenum());
        
		return ajaxResponse;
	}
	
	@Override
	public AjaxResponse updateRsRlzyGzgsXszt(DwzpGsgzQueryDTO dto) {
		AjaxResponse ajaxResponse = new AjaxResponse();
		
		GzgsPO rsRlzyGzgsPO = new GzgsPO();
		rsRlzyGzgsPO.setGsxszt("0");//不再显示
		
		String lshStr = dto.getRsRlzyGzgsLsh();
    	String[] gzlsh = lshStr.split(",");
    	for(int i=0;i<gzlsh.length;i++) {
    		rsRlzyGzgsPO.setRsrlzygzgslsh(gzlsh[i]);
    		dwzpBLO.updateRsRlzyGzgsById(rsRlzyGzgsPO);
    	}
		
		return ajaxResponse;
	}

	@Override
	public PageResult getZxzphList(ZphglQueryDTO dto) {
		return this.dwzpBLO.getZxzphList(dto);
	}

	@Override
	public PageResult getTjjlList(PageDTO dto) {
		return this.dwzpBLO.getTjjlList(dto);
	}


	@Override
	public Map getQyxx(QyxxDTO dto) {
		return dwzpBLO.getQyxx(dto);
	}

	@Override
	public Map getSyQyxx(ZjQueryDTO dto) {
		return dwzpBLO.getSyQyxx(dto);
	}

	@Override
	public RsRlzyQyxxPO saveQyxx(QyxxUDTO dto) {
		return dwzpBLO.saveQyxx(dto);
	}

	@Override
	public void uploadQyTx(DwTxSpQueryDTO dto) {
		dwzpBLO.uploadQyTx(dto);
	}

	@Override
	public String queryQyTx(QyTxDTO dto) {
		return dwzpBLO.queryQyTx(dto);
	}

	@Override
	public void uploadQySp(DwTxSpQueryDTO dto) {
		dwzpBLO.uploadQySp(dto);
	}

	@Override
	public String queryQySp() {
		return dwzpBLO.queryQySp();
	}

	@Override
	public RsRlzyQyxxPO toQyxxTjsh(QyxxUDTO dto) {
		return dwzpBLO.toQyxxTjsh(dto);
	}

	@Override
	public void toQytxTjsh(DwTxSpQueryDTO dto) {
		dwzpBLO.toQytxTjsh(dto);
	}

	@Override
	public void toQyspTjsh(DwTxSpQueryDTO dto) {
		dwzpBLO.toQyspTjsh(dto);
	}

	@Override
	public PageResult getZphYdList(ZphYdQueryDTO dto) {
		return dwzpBLO.getZphYdList(dto);
	}

	@Override
	public void ydZph(ZwYdDTO dto) {
		dwzpBLO.ydZph(dto);
	}

	@Override
	public void qxZphYd(ZjDTO dto) {
		dwzpBLO.qxZphYd(dto);
	}

	@Override
	public PageResult getRcssqList(PageDTO dto) {
		return dwzpBLO.getRcssqList(dto);
	}

	@Override
	public RsRlzyRcssqPO saveRcssq(RcssqUDTO dto) {
		return dwzpBLO.saveRcssq(dto);
	}

	@Override
	public void deleteRcssq(String id) {
		dwzpBLO.deleteRcssq(id);
	}

	@Override
	public void updateZnts(ZjUDTO dto) {
		dwzpBLO.updateZnts(dto);
	}

	@Override
	public PageResult getRcxxList(RcxxcxQueryDTO dto) {
		return dwzpBLO.getRcxxList(dto);
	}

	@Override
	public Map getZwXx(ZjDTO dto) {
		return dwzpBLO.getZwXx(dto);
	}

	@Override
	public PageResult getzyxxList(PageDTO dto) {
		return dwzpBLO.getzyxxList(dto);
	}

	@Override
	public PageResult getWlzphzyxxList(PageDTO dto) {
		return dwzpBLO.getWlzphzyxxList(dto);
	}

	@Override
	public void toYdSh(ZjDTO dto) {
		dwzpBLO.toYdSh(dto);
	}

	@Override
	public Map getQytjxx() {
		return dwzpBLO.getQytjxx();
	}

	@Override
	public RsRlzyRcssqPO getRcssqXx(ZjDTO dto) {
		return dwzpBLO.getRcssqXx(dto);
	}

	@Override
	public PageResult getJlzntjList(PageDTO dto) {
		return dwzpBLO.getJlzntjList(dto);
	}

	@Override
	public PageResult getJlrgtjList(PageDTO dto) {
		return dwzpBLO.getJlrgtjList(dto);
	}

	@Override
	public RsRlzyQyxxPO getQyxxDetail(String id) {
		return this.dwzpBLO.getQyxxDetail(id);
	}

	@Override
	public PageResult getZwzpfs(ZwzpfsDTO dto) {
		return this.dwzpBLO.getZwzpfs(dto);
	}

	@Override
	public PageResult getDwTjjlList(PageDTO dto) {
		return this.dwzpBLO.getDwTjjlList(dto);
	}

	@Override
	public void bmZph(ZphBmDTO dto) {
		dwzpBLO.bmZph(dto);
	}

	@Override
	public void setZphLog(SetZphLogDTO dto) {
		dwzpBLO.setZphLog(dto);
	}

	@Override
	public void copyZw(CopyZwDTO dto) {
		dwzpBLO.copyZw(dto);
	}

	@Override
	public PageResult getWlzphZw(ZwzpfsDTO dto) {
		return dwzpBLO.getWlzphZw(dto);
	}
}
